﻿#______________________________________________________________________________________________________________________________________________________#
#______________________________________________________________________________________________________________________________________________________#

## Side Menu --- Buttons beside text window ##
init python:
    def overlay():   
        if sidemenu:
            ui.image ("images/ui/sm/bg.png")
            ui.imagebutton("images/ui/sm/sv1.png", "images/ui/sm/sv2.png", clicked=ui.gamemenus("_game_menu_save"), xpos = 667, ypos = 517)
            ui.imagebutton("images/ui/sm/ld1.png", "images/ui/sm/ld2.png", clicked=ui.gamemenus("_game_menu_load"), xpos = 755, ypos = 517)
            ui.imagebutton("images/ui/sm/st1.png", "images/ui/sm/st2.png", clicked=ui.gamemenus("_game_menu_preferences"), xpos = 711, ypos = 558)
            ui.imagebutton("images/ui/sm/sk1.png", "images/ui/sm/sk2.png", clicked=Skip(), xpos = 711, ypos = 476)
            
    config.overlay_functions.append(overlay)
    
#______________________________________________________________________________________________________________________________________________________#
#______________________________________________________________________________________________________________________________________________________#

## Screen Thingies --- Dunno what to call ##
init -1 python hide:

    config.developer = False

    config.screen_width = 800
    config.screen_height = 600

    config.window_title = u"Untold Myth 1st Tale -Earthbreaking Flight-"
    config.menu_window_subtitle = " v1.00"
    config.window_icon = "images/ui/ico.png"
    
    import os
    os.environ['SDL_VIDEO_CENTERED'] = '1'
    
#______________________________________________________________________________________________________________________________________________________#
#______________________________________________________________________________________________________________________________________________________#

## Mouse Cursor --- Self Explanatory ##
    config.mouse = dict(default = [('images/ui/cur.png',0,0)])
#______________________________________________________________________________________________________________________________________________________#
#______________________________________________________________________________________________________________________________________________________#
    
## Various Menu Screens --- Painful to tidy up ##
screen main_menu:

    tag menu
    
    window:
        style "mm_root"
        
    textbutton _("                ") xalign 0.18 yalign 0.75 background ("images/mn/mm/st1.png") hover_background ("images/mn/mm/st2.png") action Start()
    textbutton _("             ") xalign 0.38 yalign 0.75 background ("images/mn/mm/ld1.png") hover_background ("images/mn/mm/ld2.png") action ShowMenu("load")
    textbutton _("                ") xalign 0.58 yalign 0.75 background ("images/mn/mm/se1.png") hover_background ("images/mn/mm/se2.png") action ShowMenu("preferences")
    textbutton _("             ") xalign 0.78 yalign 0.75 background ("images/mn/mm/ex1.png") hover_background ("images/mn/mm/ex2.png") action Quit(confirm=False)
    
#______________________________________________________________________________________________________________________________________________________#    
    
screen navigation:

    window:
        style "gm_root"

    image ("images/mn/gm/bg.png")
    textbutton _("             ") xpos 100 yalign 0.933 background ("images/mn/gm/rt1.png") hover_background ("images/mn/gm/rt2.png") action Return()
    textbutton _("          ") xpos 200 yalign 0.933 background ("images/mn/gm/sv1.png") hover_background ("images/mn/gm/sv2.png") insensitive_background ("images/mn/gm/sv3.png") action ShowMenu("save")
    textbutton _("          ") xpos 300 yalign 0.933 background ("images/mn/gm/ld1.png") hover_background ("images/mn/gm/ld2.png") action ShowMenu("load")
    textbutton _("             ") xpos 400 yalign 0.933 background ("images/mn/gm/se1.png") hover_background ("images/mn/gm/se2.png") action ShowMenu("preferences")
    textbutton _("             ") xpos 500 yalign 0.933 background ("images/mn/gm/ti1.png") hover_background ("images/mn/gm/ti2.png") insensitive_background ("images/mn/gm/ti3.png") action MainMenu(confirm=False)
    textbutton _("          ") xpos 600 yalign 0.933 background ("images/mn/gm/ex1.png") hover_background ("images/mn/gm/ex2.png") action Quit(confirm=False)

#______________________________________________________________________________________________________________________________________________________#

screen save:

    tag menu
    
    use navigation
    image "images/mn/sl/sv.png"
    

    grid 1 9 xalign 0.5 yalign 0.1:
              
        for i in range(1, 10):
            
            button:
                
                action FileAction(i)
                style "large_button"
                background ("images/mn/sl/bt1.png") hover_background ("images/mn/sl/bt2.png")

                has hbox

                add FileScreenshot(i)
                text ( " %2d. " % i
                    + FileTime(i, empty=_("Empty Slot."))
                    + "\n"
                    + FileSaveName(i)) style "large_button_text"
                    
#______________________________________________________________________________________________________________________________________________________#

screen load:

    tag menu

    use navigation
    image "images/mn/sl/ld.png"

    grid 1 9 xalign 0.5 yalign 0.1:
            
        for i in range(1, 10):

            button:
                action FileAction(i)
                style "large_button"
                background ("images/mn/sl/bt1.png") hover_background ("images/mn/sl/bt2.png") insensitive_background ("images/mn/sl/bt3.png")

                has hbox

                add FileScreenshot(i)
                text ( " %2d. " % i
                       + FileTime(i, empty=_("Empty Slot."))
                       + "\n"
                       + FileSaveName(i)) style "large_button_text"
                    
#______________________________________________________________________________________________________________________________________________________#

screen preferences:

    tag menu

    use navigation
    image "images/mn/se/se.png"

    grid 1 14 xalign 0.5 yalign 0.1:
       
            label _(" ") background ("images/mn/se/lb_disp.png")
            textbutton _("                    ") ypos 10 action Preference("display", "window") background ("images/mn/se/bt_win1.png") hover_background ("images/mn/se/bt_win2.png") selected_background ("images/mn/se/bt_win3.png")
            textbutton _("                    ") ypos 20 action Preference("display", "fullscreen") background ("images/mn/se/bt_ful1.png") hover_background ("images/mn/se/bt_ful2.png") selected_background ("images/mn/se/bt_ful3.png")
            
            label _(" ") ypos 30 background ("images/mn/se/lb_skp.png")
            textbutton _("                               ") ypos 40 action Preference("skip", "seen") background ("images/mn/se/bt_sm1.png") hover_background ("images/mn/se/bt_sm2.png") selected_background ("images/mn/se/bt_sm3.png")
            textbutton _("                               ") ypos 50 action Preference("skip", "all") background ("images/mn/se/bt_am1.png") hover_background ("images/mn/se/bt_am2.png") selected_background ("images/mn/se/bt_am3.png")

            label _(" ") ypos 60 background ("images/mn/se/ts.png")
            bar value Preference("text speed") xmaximum 200 ypos 70

            label _(" ") ypos 80 background ("images/mn/se/aft.png")
            bar value Preference("auto-forward time") xmaximum 200 ypos 90

            label _(" ") ypos 100 background ("images/mn/se/mv.png")
            bar value Preference("music volume") xmaximum 200 ypos 110

            label _(" ") ypos 120 background ("images/mn/se/sv.png")
            bar value Preference("sound volume") xmaximum 200 ypos 130

init python:

    style.pref_frame.xfill = True
    style.pref_frame.xmargin = 5
    style.pref_frame.top_margin = 5
    style.pref_frame.left_margin = 250
    style.pref_frame.right_margin = 250

    style.pref_vbox.xfill = True

    style.pref_button.size_group = "pref"
    style.pref_button.xalign = 1.0

    style.pref_slider.xmaximum = 192
    style.pref_slider.xalign = 1.0
      
#______________________________________________________________________________________________________________________________________________________#
#______________________________________________________________________________________________________________________________________________________#

## Text Window Frame --- Damned margins ##
    
    style.say_window.background = Frame(im.Alpha("images/ui/fra.png",.85), 255, 255)

    style.say_window.left_margin = 0
    style.say_window.right_margin = 0
    style.say_window.top_margin = 0
    style.say_window.bottom_margin = 0
        
#______________________________________________________________________________________________________________________________________________________#
#______________________________________________________________________________________________________________________________________________________#

## Layout and Theme --- It's already there from the start, just modified a bit ##

    layout.button_menu()

    theme.roundrect(
        # Color scheme: Colorblind
                                    
        ## The color of an idle widget face.
        widget = "#898989",

        ## The color of a focused widget face.
        widget_hover = "#464646",

        ## The color of the text in a widget.
        widget_text = "#CCCCCC",

        ## The color of the text in a selected widget. (For
        ## example, the current value of a preference.)
        widget_selected = "#F2F2F2",

        ## The color of a disabled widget face. 
        disabled = "#898989",

        ## The color of disabled widget text.
        disabled_text = "#666666",

        ## The color of informational labels.
        label = "#c2c2c2",

        ## The color of a frame containing widgets.
        frame = "#252525",

        ## The background of the main menu. This can be a color
        ## beginning with '#', or an image filename. The latter
        ## should take up the full height and width of the screen.
        mm_root = "images/mn/mm/mm.jpg",

        ## The background of the game menu. This can be a color
        ## beginning with '#', or an image filename. The latter
        ## should take up the full height and width of the screen.
        gm_root = "images/mn/gm/gm.jpg",

        ## If this is True, the in-game window is rounded. If False,
        ## the in-game window is square.
        rounded_window = False,

        ## And we're done with the theme. The theme will customize
        ## various styles, so if we want to change them, we should
        ## do so below.            
        )
#______________________________________________________________________________________________________________________________________________________#
#______________________________________________________________________________________________________________________________________________________#

## Font --- This is the shape of something that you read ##

    style.default.font = "vijayab.ttf"
    style.default.size = 28
    
#______________________________________________________________________________________________________________________________________________________#
#______________________________________________________________________________________________________________________________________________________#
    
#########################################
    ## These settings let you change some of the sounds that are used by
    ## Ren'Py.

    ## Set this to False if the game does not have any sound effects.

    config.has_sound = True

    ## Set this to False if the game does not have any music.

    config.has_music = True

    ## Set this to False if the game does not have voicing.

    config.has_voice = False

    ## Sounds that are used when button and imagemaps are clicked.

    #style.button.activate_sound = "sounds/sfx/002-System02.ogg"
    #style.imagemap.activate_sound = "sounds/sfx/002-System02.ogg"

    ## Sounds that are used when entering and exiting the game menu.

    #config.enter_sound = "sounds/sfx/002-System02.ogg"
    #config.exit_sound = "sounds/sfx/002-System02.ogg"

    ## A sample sound that can be played to check the sound volume.

    # config.sample_sound = "click.wav"

    ## Music that is played while the user is at the main menu.

    config.main_menu_music = "sounds/bgm/valley02.ogg"


    config.help = None

#______________________________________________________________________________________________________________________________________________________#
#______________________________________________________________________________________________________________________________________________________#

## Transitions --- Set dissolve and fade for all of them ##

    ## Used when entering the game menu from the game.
    config.enter_transition = dissolve

    ## Used when exiting the game menu to the game.
    config.exit_transition = dissolve

    ## Used between screens of the game menu.
    config.intra_transition = dissolve

    ## Used when entering the game menu from the main menu.
    config.main_game_transition = fade

    ## Used when returning to the main menu from the game.
    config.game_main_transition = fade

    ## Used when entering the main menu from the splashscreen.
    config.end_splash_transition = dissolve

    ## Used when entering the main menu after the game has ended.
    config.end_game_transition = fade

    ## Used when a game is loaded.
    config.after_load_transition = fade

    ## Used when the window is shown.
    config.window_show_transition = dissolve

    ## Used when the window is hidden.
    config.window_hide_transition = dissolve
        
#______________________________________________________________________________________________________________________________________________________#
#______________________________________________________________________________________________________________________________________________________#

## Save Directory --- Untouched ##
python early:
    config.save_directory = "Untold Myth 1st Tale-1288683366"
        
#______________________________________________________________________________________________________________________________________________________#
#______________________________________________________________________________________________________________________________________________________#

## Persistent Data --- Dunno why its called "persistent" ##
init -1 python hide:

    config.default_fullscreen = False

    config.default_text_cps = 60
        
#______________________________________________________________________________________________________________________________________________________#
#______________________________________________________________________________________________________________________________________________________#

